Changes between Version 52 and Version 53 of PythonOcc/primitives


Ignore:
Timestamp:
Nov 10, 2016, 4:25:17 PM (4 years ago)
Author:
dpenko
Comment:

Dodal primer vektorja za izvlek pod kotom + odebelitev nekaterih pomembnih besed pri primeru izdelave izvleka

Legend:

Unmodified
Added
Removed
Modified
  • PythonOcc/primitives

    v52 v53  
    55== Struktura programa v Python OCC ==
    66
    7 Rabimo uvoziti uporabniški vmesnik, ki nam omogoči preprosto manipulacijo
     7Potrebno je uvoziti '''uporabniški vmesnik''', ki nam omogoči preprosto manipulacijo
    88predstavljenega objekta (glava dokumenta):
    99{{{
     
    1414[[BR]][[BR]]
    1515
    16 Uvedba funkcij za iniciacijo prikaza:
     16Uvedba funkcij za '''iniciacijo prikaza''':
    1717{{{
    1818#!python
     
    2222[[BR]][[BR]]
    2323
    24 Iniciacija prikaznega okna:
     24'''Iniciacija prikaznega okna''':
    2525{{{
    2626#!python
     
    4343
    4444
    45 Za izdelavo modela v okolju Python OCC je potrebna predhodna uvedba knjižnic OpenCascade (OCC), ki vsebujejo različne nabore ukazov:
     45Za izdelavo modela v okolju Python OCC je potrebna predhodna uvedba '''knjižnic''' OpenCascade (OCC), ki vsebujejo različne nabore ukazov:
    4646{{{
    4747#!python
     
    5959
    6060
    61 == Preprosti program- Primer izdelave izvleka v prostor (Extrude) ==
     61== Preprosti program- Primer izdelave '''izvleka''' v prostor (Extrude) ==
    6262
    6363Primer izdelave kocke z dimenzijami 10x10x10. Postopek modeliranja v [[Image(Kocka.png, 300, right)]]
     
    7777običajno določi namesto nas.[[BR]][[BR]]
    7878
    79 Korak 01: Izdelava točke v prostoru [[Image(Vozlisca.png, 300, right)]]
     79'''Korak 01''': Izdelava '''točke''' v prostoru [[Image(Vozlisca.png, 300, right)]]
    8080Razlaga ukaza za izdelavo točke [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classgp__Pnt.html gp__Pnt]
    8181{{{
     
    8383Tocka = gp_Pnt(x_1 , y_1 , z_1)
    8484}}}
    85 Iz določenih točk lahko naredimo vozlišča. Detajlna razlaga uporabljenega ukaza: [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepLib__MakeVertex.html BRepBuilderAPI__MakeVertex].
     85Iz določenih točk lahko naredimo '''vozlišča'''. Detajlna razlaga uporabljenega ukaza: [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepLib__MakeVertex.html BRepBuilderAPI__MakeVertex].
    8686{{{
    8787#!python
    8888Vozlisce = BRepBuilderAPI_MakeVertex(Tocka)
    8989}}}
    90 Če hočemo prikazati vozlišča v modelnem oknu, potem je potrebno napisati ukaz za prikaz oblike:
     90Če hočemo prikazati vozlišča v modelnem oknu, potem je potrebno napisati '''ukaz za prikaz oblike''':
    9191{{{
    9292#!python
     
    9696
    9797
    98 Korak 02: Izdelava robov iz točk [[Image(Robovi.png, 300, right)]]
     98'''Korak 02''': Izdelava '''robov''' iz točk [[Image(Robovi.png, 300, right)]]
    9999{{{
    100100#!python
     
    108108display.DisplayShape(Rob.Shape())
    109109}}}
    110 V primeru, da želimo narediti rob s krožnim lokom oz. krogom uporabimo knjižnico
     110V primeru, da želimo narediti rob s '''krožnim lokom''' oz. '''krogom''' uporabimo knjižnico
    111111{{{
    112112#!python
     
    127127[[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
    128128
    129 Korak 03: Izdelava mrežnega modela iz točk [[Image(Wire.png, 300, right)]]
     129'''Korak 03''': Izdelava '''mrežnega modela''' iz točk [[Image(Wire.png, 300, right)]]
    130130{{{
    131131#!python
     
    133133Mreza2  = BRepBuilderAPI_MakeWire(Mreza.Wire(), Rob1.Edge())
    134134}}}
    135 Ukaz BRepBuilderAPI_MakeWire() sprejme le štiri argumente, tako da lahko na ta način sestavimo le mrežo s štirimi robovi. Če želimo narediti mrežo z več robovi lahko definiramo več posameznih mrež in jih nato skupaj sestavimo.
     135Ukaz BRepBuilderAPI_MakeWire() sprejme '''le štiri argumente''', tako da lahko na ta način sestavimo le mrežo s štirimi robovi. Če želimo narediti mrežo z več robovi lahko definiramo več posameznih mrež in jih nato skupaj sestavimo.
    136136{{{
    137137#!python
     
    152152[[BR]][[BR]][[BR]][[BR]]
    153153
    154 Korak 04: Izdelava površine iz obstoječe mreže [[Image(Povrsina.png, 300, right)]]
     154'''Korak 04''': Izdelava '''površine''' iz obstoječe mreže [[Image(Povrsina.png, 300, right)]]
    155155{{{
    156156#!python
     
    166166[[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
    167167
    168 Korak 05: Izdelava izvleka v prostor [[Image(Solid.png, 300, right)]]
     168'''Korak 05''': Izdelava '''izvleka''' v prostor [[Image(Solid.png, 300, right)]]
    169169Izdelano površino lahko uporabimo za izdelavo tridimenzionalne oblike. Če hočemo narediti
    170170izvlek, je potrebno najprej določiti še parametre vičine izvleka. V ta namen določimo vektor,
     
    173173#!python
    174174Vektor = gp_Vec(Velikost_X , Velikost_Y, Velikost_Z)
     175}}}
     176{{{
     177#!python
     178#Primer definicije vektorja za izvlek pod kotom
     179import math
     180Vektor = gp_Vec(math.cos(alpha*math.pi/180),math.cos(beta*math.pi/180), h)
    175181}}}
    176182Sledi uporaba ukaza za izdelavo izvleka. Pri tem je potrebno uporabiti podatek o površini ter
     
    187193[[BR]][[BR]]
    188194
    189 Barvo modela lhako po želji spremenimo z uporabo ukaza:
     195'''Barvo modela''' lahko po želji spremenimo z uporabo ukaza:
    190196{{{
    191197#!python
     
    194200[[BR]][[BR]]
    195201
    196 Primer programa za izdelavo izvleka:[[Image(Solid-barve.png, 300, right)]]
     202'''Primer programa za izdelavo izvleka:'''[[Image(Solid-barve.png, 300, right)]]
    197203{{{
    198204#!python